Main Page Widgets Namespaces Book

# Gdk::Pixmap Class Reference

Inheritance diagram for Gdk::Pixmap:

[legend]
List of all members.

## Public Member Functions

virtual | ~Pixmap ()
GdkPixmap* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixmap* | gobj () const
| Provides access to the underlying C GObject.
GdkPixmap* | gobj_copy ()

## Static Public Member Functions

Glib::RefPtr<Pixmap> | create ()
Glib::RefPtr<Pixmap> | create (const Glib::RefPtr<Window>& window, int width, int height, int depth)
Glib::RefPtr<Pixmap> | create (const Glib::RefPtr<Window>& window, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
Glib::RefPtr<Pixmap> | create (const Glib::RefPtr<Display>& display, GdkNativeWindow anid)
Glib::RefPtr<Pixmap> | create_from_data (const Glib::RefPtr<const Drawable>& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<const Drawable>& drawable, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file.
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<const Drawable>& drawable, Glib::RefPtr<Bitmap>& mask, const Color& transparent_color, const std::string& filename)
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<const Drawable>& drawable, const Glib::RefPtr<Colormap>& colormap, Glib::RefPtr<Bitmap>& mask, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file with colormap.
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<const Drawable>& drawable, Glib::RefPtr<Bitmap>& mask, const Color& transparent_color, const char* const* data)
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<const Drawable>& drawable, const Glib::RefPtr<Colormap>& colormap, Glib::RefPtr<Bitmap>& mask, const Color& transparent_color, const char* const* data)
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<Colormap>& colormap, Glib::RefPtr<Bitmap>& mask, const Color& transparent_color, const char* const* data)
Glib::RefPtr<Pixmap> | create_from_xpm (const Glib::RefPtr<Colormap>& colormap, Glib::RefPtr<Bitmap>& mask, const char* const* data)

## Protected Member Functions

| Pixmap ()
| Pixmap (const Glib::RefPtr<Window>& window, int width, int height, int depth=-1)
| Pixmap (const Glib::RefPtr<Window>& window, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
| Initialize a Pixmap from data.
| Pixmap (const Glib::RefPtr<Display>& display, GdkNativeWindow anid)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::Pixmap> | wrap (GdkPixmapObject* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::Pixmap::~Pixmap | ( |  | ) | `[virtual]`

Gdk::Pixmap::Pixmap | ( |  | ) | `[protected]`

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr<Window>& | window,
|  | int | width,
|  | int | height,
|  | int | depth = -1
| ) | `[protected]`

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr<Window>& | window,
|  | const char* | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) | `[protected]`

| Initialize a Pixmap from data.

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr<Display>& | display,
|  | GdkNativeWindow | anid
| ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr<Display>& | display,
|  | GdkNativeWindow | anid
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr<Window>& | window,
|  | const char* | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr<Window>& | window,
|  | int | width,
|  | int | height,
|  | int | depth
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( |  | ) | `[static]`

| Reimplemented from Gdk::Drawable.

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_data | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | const char* | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<Colormap>& | colormap,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const char *const* | data
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<Colormap>& | colormap,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const Color& | transparent_color,
|  | const char *const* | data
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | const Glib::RefPtr<Colormap>& | colormap,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const Color& | transparent_color,
|  | const char *const* | data
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const Color& | transparent_color,
|  | const char *const* | data
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | const Glib::RefPtr<Colormap>& | colormap,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const Color& | transparent_color,
|  | const std::string& | filename
| ) | `[static]`

| Create a Pixmap from a xpm file with colormap.

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | Glib::RefPtr<Bitmap>& | mask,
|  | const Color& | transparent_color,
|  | const std::string& | filename
| ) | `[static]`

Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr<const Drawable>& | drawable,
|  | const Color& | transparent_color,
|  | const std::string& | filename
| ) | `[static]`

| Create a Pixmap from a xpm file.

const GdkPixmap* Gdk::Pixmap::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::Drawable.

GdkPixmap* Gdk::Pixmap::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::Drawable.

GdkPixmap* Gdk::Pixmap::gobj_copy | ( |  | ) |

| Reimplemented from Gdk::Drawable.

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::Pixmap> wrap | ( | GdkPixmapObject* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- pixmap.h